# -*- rpm-spec -*-
# $Id: awemidi,v 1.6 2002/10/05 10:34:01 lioka Exp $

Name: awemidi
Version: 0.4.3c
Release: alt4

Group: Sound
Summary: AWEMIDI - AWE32 MIDI Player for Linux / FreeBSD
Summary(ru_RU.KOI8-R):  MIDI  AWE32  .
License: GPL
Url: http://members.tripod.de/iwai
Source: %url/%name-%version.tgz
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm

BuildRequires: XFree86-devel libawesfx-devel libncurses-devel tk-devel >= 8.4.0-alt1

%description
AWEMIDI is a midi player program which supports AWE32 sound driver by
Takashi Iwai. Before using this program, you have to load sound samples
onto the driver. Please read the document in utility package awesfx.

This packaing contains the following programs:
 - drvmidi	MIDI player on terminal
 - tkmidi	MIDI player using Tcl/Tk
 - miditext	MIDI to visible text convertor
 - txtplay	Play converted MIDI texts

%description -l ru_RU.KOI8-R
AWEMIDI -  MIDI   SB AWE32  . 
   :
drvmidi -    (     )
tkmidi -  c Tcl/Tk  . 
miditext -  MIDI  .
txtplay	-  ,   MIDI.

%prep
%setup -q
%__subst 's|^/\* \+\(\#define INTERFACE_TK\).\+$|\1|' Imakefile
%__subst 's|^\(TCLSH = \).\+$|\1tclsh|' Imakefile
%__subst 's|^\(TCLDIR = \$(INSTDIR)/\)lib\(.\+$\)|\1share\2|' Imakefile

%build 
xmkmf
%make INSTDIR=%_prefix CDEBUGFLAGS="$RPM_OPT_FLAGS -DUSE_NON_CONST"

%install

%make INSTDIR=%buildroot%_prefix install
%make INSTDIR=%buildroot%_prefix MANDIR=%buildroot%_mandir/man1 install.man

# Adjusting paths in *.tcl
%__subst 's|%buildroot||' %buildroot%_datadir/awe/*.tcl
%__subst 's|/usr/local/bin/|/usr/bin/|' %buildroot%_datadir/awe/*.tcl

# Creating and installation menu file for tkmidi
%__cat << EOF > %name.menu
?package(%name): command="%_bindir/tkmidi" needs="X11" section="Multimedia/%group" \
title="AWE32 MIDI Player" longtitle="AWE32 MIDI Player" icon="%name.xpm"
EOF

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

# Install icons
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_mandir/man1/*
%_datadir/awe
%_menudir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%doc ChangeLog-midi README

%changelog
* Sat Oct  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.4.3c-alt4
- rebuilt with tcl 8.4

* Fri Jun 14 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.4.3c-alt3
- rebuilt in new env

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.3c-alt2
- cleanups

* Wed Jan 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.3c-alt1
- First build for Sisyphus.
